# Makefile.in generated by automake 1.9.6 from Makefile.am.
# @configure_input@
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
@SET_MAKE@
srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
check_PROGRAMS = testsuite$(EXEEXT) sandbox$(EXEEXT)
subdir = src/test
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/general.m4 \
$(top_srcdir)/config/sipXlib.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am_sandbox_OBJECTS = sandbox-RegistryDbTest.$(OBJEXT)
sandbox_OBJECTS = $(am_sandbox_OBJECTS)
am__DEPENDENCIES_1 = testlib/libsipXcommserverTest.la \
../libsipXcommserver.la
sandbox_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__testsuite_SOURCES_DIST = RegistryDbTest.cpp ResultSetRpcTest.cpp \
UrlMappingTest.cpp OdbcWrapperTest.cpp
@ENABLE_ODBC_TESTS_TRUE@am__objects_1 = \
@ENABLE_ODBC_TESTS_TRUE@ testsuite-OdbcWrapperTest.$(OBJEXT)
am_testsuite_OBJECTS = testsuite-RegistryDbTest.$(OBJEXT) \
testsuite-ResultSetRpcTest.$(OBJEXT) \
testsuite-UrlMappingTest.$(OBJEXT) $(am__objects_1)
testsuite_OBJECTS = $(am_testsuite_OBJECTS)
testsuite_DEPENDENCIES = testlib/libsipXcommserverTest.la \
../libsipXcommserver.la
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(sandbox_SOURCES) $(testsuite_SOURCES)
DIST_SOURCES = $(sandbox_SOURCES) $(am__testsuite_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
html-recursive info-recursive install-data-recursive \
install-exec-recursive install-info-recursive \
install-recursive installcheck-recursive installdirs-recursive \
pdf-recursive ps-recursive uninstall-info-recursive \
uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONFIGURE_OPTIONS = @CONFIGURE_OPTIONS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CPPUNIT_CFLAGS = @CPPUNIT_CFLAGS@
CPPUNIT_CONFIG = @CPPUNIT_CONFIG@
CPPUNIT_LDFLAGS = @CPPUNIT_LDFLAGS@
CPPUNIT_LIBS = @CPPUNIT_LIBS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DEST_ISO = @DEST_ISO@
DEST_RPM = @DEST_RPM@
DEST_SRC = @DEST_SRC@
DEST_SRPM = @DEST_SRPM@
DOC_FALSE = @DOC_FALSE@
DOC_TRUE = @DOC_TRUE@
DOT = @DOT@
DOXYGEN = @DOXYGEN@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_ODBC_TESTS_FALSE = @ENABLE_ODBC_TESTS_FALSE@
ENABLE_ODBC_TESTS_TRUE = @ENABLE_ODBC_TESTS_TRUE@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
HAVE_SSL = @HAVE_SSL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
ISGCC_FALSE = @ISGCC_FALSE@
ISGCC_TRUE = @ISGCC_TRUE@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBSRC = @LIBSRC@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
OBJEXT = @OBJEXT@
ODBC_CFLAGS = @ODBC_CFLAGS@
ODBC_CXXFLAGS = @ODBC_CXXFLAGS@
ODBC_LDFLAGS = @ODBC_LDFLAGS@
ODBC_LIBS = @ODBC_LIBS@
OPENSSL = @OPENSSL@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PCRE_CFLAGS = @PCRE_CFLAGS@
PCRE_CXXFLAGS = @PCRE_CXXFLAGS@
PCRE_LDFLAGS = @PCRE_LDFLAGS@
PCRE_LIBS = @PCRE_LIBS@
PERL = @PERL@
RANLIB = @RANLIB@
RPM = @RPM@
RPMBUILD_TOPDIR = @RPMBUILD_TOPDIR@
RPM_CAPABLE_FALSE = @RPM_CAPABLE_FALSE@
RPM_CAPABLE_TRUE = @RPM_CAPABLE_TRUE@
RPM_TARGET_ARCH = @RPM_TARGET_ARCH@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SIPXPBXUSER = @SIPXPBXUSER@
SIPXPBX_LABEL = @SIPXPBX_LABEL@
SIPXPHONECONF = @SIPXPHONECONF@
SIPXPHONEDATA = @SIPXPHONEDATA@
SIPXPHONELIB = @SIPXPHONELIB@
SIPXPORT_LIBS = @SIPXPORT_LIBS@
SIPXTACK_LIBS = @SIPXTACK_LIBS@
SIPXTEST_DATABASE = @SIPXTEST_DATABASE@
SIPXUNIT_LIBS = @SIPXUNIT_LIBS@
SIPX_BACKUPDIR = @SIPX_BACKUPDIR@
SIPX_BINDIR = @SIPX_BINDIR@
SIPX_CONFDIR = @SIPX_CONFDIR@
SIPX_CONFIGPHONEDIR = @SIPX_CONFIGPHONEDIR@
SIPX_DATADIR = @SIPX_DATADIR@
SIPX_DBDIR = @SIPX_DBDIR@
SIPX_DOCDIR = @SIPX_DOCDIR@
SIPX_INCDIR = @SIPX_INCDIR@
SIPX_LIBDIR = @SIPX_LIBDIR@
SIPX_LIBEXECDIR = @SIPX_LIBEXECDIR@
SIPX_LOGDIR = @SIPX_LOGDIR@
SIPX_PARKMUSICDIR = @SIPX_PARKMUSICDIR@
SIPX_PROCDIR = @SIPX_PROCDIR@
SIPX_RUNDIR = @SIPX_RUNDIR@
SIPX_SCHEMADIR = @SIPX_SCHEMADIR@
SIPX_TMPDIR = @SIPX_TMPDIR@
SIPX_UPGRADEDIR = @SIPX_UPGRADEDIR@
SIPX_VARDIR = @SIPX_VARDIR@
SIPX_VXMLDATADIR = @SIPX_VXMLDATADIR@
SSL_CFLAGS = @SSL_CFLAGS@
SSL_CXXFLAGS = @SSL_CXXFLAGS@
SSL_LDFLAGS = @SSL_LDFLAGS@
SSL_LIBS = @SSL_LIBS@
STRIP = @STRIP@
SVN_VERSION = @SVN_VERSION@
VERSION = @VERSION@
XERCES_CFLAGS = @XERCES_CFLAGS@
XERCES_CXXFLAGS = @XERCES_CXXFLAGS@
XERCES_LDFLAGS = @XERCES_LDFLAGS@
XERCES_LIBS = @XERCES_LIBS@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
enable_dot = @enable_dot@
enable_html_docs = @enable_html_docs@
enable_latex_docs = @enable_latex_docs@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
wwwdir = @wwwdir@
INCLUDES = -I$(top_srcdir)/include
SUBDIRS = testlib
@ENABLE_ODBC_TESTS_FALSE@db_FILES =
# Define values used in local database unit tests. This only
# happens if configure was run with --enable-dbtests.
@ENABLE_ODBC_TESTS_TRUE@db_FILES = \
@ENABLE_ODBC_TESTS_TRUE@ OdbcWrapperTest.cpp
@ENABLE_ODBC_TESTS_FALSE@db_CXXFLAGS =
@ENABLE_ODBC_TESTS_TRUE@db_CXXFLAGS = -DTESTDATABASE=\"$(SIPXTEST_DATABASE)\"
@ENABLE_ODBC_TESTS_FALSE@db_deps =
@ENABLE_ODBC_TESTS_TRUE@db_deps = db_setup
@ENABLE_ODBC_TESTS_TRUE@PG_USER = pgsql
@ENABLE_ODBC_TESTS_TRUE@SCHEMA_FILE = $(top_srcdir)/../sipxproxy-3.6.0/etc/database/schema.sql
TESTS = testsuite sipx_config_value/test
testsuite_CXXFLAGS = \
-DTEST_DATA_DIR=\"@abs_top_srcdir@/src/test\" \
-DTEST_WORK_DIR=\"@abs_top_builddir@/src/test/work\" \
$(db_CXXFLAGS)
testsuite_LDADD = \
testlib/libsipXcommserverTest.la \
../libsipXcommserver.la
testsuite_SOURCES = \
RegistryDbTest.cpp \
ResultSetRpcTest.cpp \
UrlMappingTest.cpp \
$(db_FILES)
EXTRA_DIST = \
mapdata/digits.xml \
mapdata/escape.xml \
mapdata/params.xml \
mapdata/simple.xml \
mapdata/specials.xml \
mapdata/userpat.xml \
mapdata/vdigits.xml \
regdbdata/getMaxUpdate.xml \
sipx_config_value/testdata
# [DEBUG ASSISTANT] List a single unit test to isolate a unit test for
# debugging or when developing a new unit test. As courtesy remove all
# unit tests before checking in, although forgetting to has no ill
# effects. To build and run:
#
# cd src/test
# make sandbox
# ./sandbox
#
#sandbox_LDFLAGS = $(testsuite_LDFLAGS)
sandbox_LDADD = $(testsuite_LDADD)
sandbox_CXXFLAGS = $(testsuite_CXXFLAGS)
sandbox_SOURCES = \
RegistryDbTest.cpp
all: all-recursive
.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
&& exit 0; \
exit 1;; \
esac; \
done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/test/Makefile'; \
cd $(top_srcdir) && \
$(AUTOMAKE) --foreign src/test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
*) \
echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
esac;
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(top_srcdir)/configure: $(am__configure_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): $(am__aclocal_m4_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
clean-checkPROGRAMS:
@list='$(check_PROGRAMS)'; for p in $$list; do \
f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
echo " rm -f $$p $$f"; \
rm -f $$p $$f ; \
done
sandbox$(EXEEXT): $(sandbox_OBJECTS) $(sandbox_DEPENDENCIES)
@rm -f sandbox$(EXEEXT)
$(CXXLINK) $(sandbox_LDFLAGS) $(sandbox_OBJECTS) $(sandbox_LDADD) $(LIBS)
testsuite$(EXEEXT): $(testsuite_OBJECTS) $(testsuite_DEPENDENCIES)
@rm -f testsuite$(EXEEXT)
$(CXXLINK) $(testsuite_LDFLAGS) $(testsuite_OBJECTS) $(testsuite_LDADD) $(LIBS)
mostlyclean-compile:
-rm -f *.$(OBJEXT)
distclean-compile:
-rm -f *.tab.c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sandbox-RegistryDbTest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testsuite-OdbcWrapperTest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testsuite-RegistryDbTest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testsuite-ResultSetRpcTest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testsuite-UrlMappingTest.Po@am__quote@
.cpp.o:
@am__fastdepCXX_TRUE@ if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ $<
.cpp.obj:
@am__fastdepCXX_TRUE@ if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
.cpp.lo:
@am__fastdepCXX_TRUE@ if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(LTCXXCOMPILE) -c -o $@ $<
sandbox-RegistryDbTest.o: RegistryDbTest.cpp
@am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(sandbox_CXXFLAGS) $(CXXFLAGS) -MT sandbox-RegistryDbTest.o -MD -MP -MF "$(DEPDIR)/sandbox-RegistryDbTest.Tpo" -c -o sandbox-RegistryDbTest.o `test -f 'RegistryDbTest.cpp' || echo '$(srcdir)/'`RegistryDbTest.cpp; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/sandbox-RegistryDbTest.Tpo" "$(DEPDIR)/sandbox-RegistryDbTest.Po"; else rm -f "$(DEPDIR)/sandbox-RegistryDbTest.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='RegistryDbTest.cpp' object='sandbox-RegistryDbTest.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(sandbox_CXXFLAGS) $(CXXFLAGS) -c -o sandbox-RegistryDbTest.o `test -f 'RegistryDbTest.cpp' || echo '$(srcdir)/'`RegistryDbTest.cpp
sandbox-RegistryDbTest.obj: RegistryDbTest.cpp
@am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(sandbox_CXXFLAGS) $(CXXFLAGS) -MT sandbox-RegistryDbTest.obj -MD -MP -MF "$(DEPDIR)/sandbox-RegistryDbTest.Tpo" -c -o sandbox-RegistryDbTest.obj `if test -f 'RegistryDbTest.cpp'; then $(CYGPATH_W) 'RegistryDbTest.cpp'; else $(CYGPATH_W) '$(srcdir)/RegistryDbTest.cpp'; fi`; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/sandbox-RegistryDbTest.Tpo" "$(DEPDIR)/sandbox-RegistryDbTest.Po"; else rm -f "$(DEPDIR)/sandbox-RegistryDbTest.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='RegistryDbTest.cpp' object='sandbox-RegistryDbTest.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(sandbox_CXXFLAGS) $(CXXFLAGS) -c -o sandbox-RegistryDbTest.obj `if test -f 'RegistryDbTest.cpp'; then $(CYGPATH_W) 'RegistryDbTest.cpp'; else $(CYGPATH_W) '$(srcdir)/RegistryDbTest.cpp'; fi`
testsuite-RegistryDbTest.o: RegistryDbTest.cpp
@am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -MT testsuite-RegistryDbTest.o -MD -MP -MF "$(DEPDIR)/testsuite-RegistryDbTest.Tpo" -c -o testsuite-RegistryDbTest.o `test -f 'RegistryDbTest.cpp' || echo '$(srcdir)/'`RegistryDbTest.cpp; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/testsuite-RegistryDbTest.Tpo" "$(DEPDIR)/testsuite-RegistryDbTest.Po"; else rm -f "$(DEPDIR)/testsuite-RegistryDbTest.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='RegistryDbTest.cpp' object='testsuite-RegistryDbTest.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -c -o testsuite-RegistryDbTest.o `test -f 'RegistryDbTest.cpp' || echo '$(srcdir)/'`RegistryDbTest.cpp
testsuite-RegistryDbTest.obj: RegistryDbTest.cpp
@am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -MT testsuite-RegistryDbTest.obj -MD -MP -MF "$(DEPDIR)/testsuite-RegistryDbTest.Tpo" -c -o testsuite-RegistryDbTest.obj `if test -f 'RegistryDbTest.cpp'; then $(CYGPATH_W) 'RegistryDbTest.cpp'; else $(CYGPATH_W) '$(srcdir)/RegistryDbTest.cpp'; fi`; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/testsuite-RegistryDbTest.Tpo" "$(DEPDIR)/testsuite-RegistryDbTest.Po"; else rm -f "$(DEPDIR)/testsuite-RegistryDbTest.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='RegistryDbTest.cpp' object='testsuite-RegistryDbTest.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -c -o testsuite-RegistryDbTest.obj `if test -f 'RegistryDbTest.cpp'; then $(CYGPATH_W) 'RegistryDbTest.cpp'; else $(CYGPATH_W) '$(srcdir)/RegistryDbTest.cpp'; fi`
testsuite-ResultSetRpcTest.o: ResultSetRpcTest.cpp
@am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -MT testsuite-ResultSetRpcTest.o -MD -MP -MF "$(DEPDIR)/testsuite-ResultSetRpcTest.Tpo" -c -o testsuite-ResultSetRpcTest.o `test -f 'ResultSetRpcTest.cpp' || echo '$(srcdir)/'`ResultSetRpcTest.cpp; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/testsuite-ResultSetRpcTest.Tpo" "$(DEPDIR)/testsuite-ResultSetRpcTest.Po"; else rm -f "$(DEPDIR)/testsuite-ResultSetRpcTest.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='ResultSetRpcTest.cpp' object='testsuite-ResultSetRpcTest.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -c -o testsuite-ResultSetRpcTest.o `test -f 'ResultSetRpcTest.cpp' || echo '$(srcdir)/'`ResultSetRpcTest.cpp
testsuite-ResultSetRpcTest.obj: ResultSetRpcTest.cpp
@am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -MT testsuite-ResultSetRpcTest.obj -MD -MP -MF "$(DEPDIR)/testsuite-ResultSetRpcTest.Tpo" -c -o testsuite-ResultSetRpcTest.obj `if test -f 'ResultSetRpcTest.cpp'; then $(CYGPATH_W) 'ResultSetRpcTest.cpp'; else $(CYGPATH_W) '$(srcdir)/ResultSetRpcTest.cpp'; fi`; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/testsuite-ResultSetRpcTest.Tpo" "$(DEPDIR)/testsuite-ResultSetRpcTest.Po"; else rm -f "$(DEPDIR)/testsuite-ResultSetRpcTest.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='ResultSetRpcTest.cpp' object='testsuite-ResultSetRpcTest.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -c -o testsuite-ResultSetRpcTest.obj `if test -f 'ResultSetRpcTest.cpp'; then $(CYGPATH_W) 'ResultSetRpcTest.cpp'; else $(CYGPATH_W) '$(srcdir)/ResultSetRpcTest.cpp'; fi`
testsuite-UrlMappingTest.o: UrlMappingTest.cpp
@am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -MT testsuite-UrlMappingTest.o -MD -MP -MF "$(DEPDIR)/testsuite-UrlMappingTest.Tpo" -c -o testsuite-UrlMappingTest.o `test -f 'UrlMappingTest.cpp' || echo '$(srcdir)/'`UrlMappingTest.cpp; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/testsuite-UrlMappingTest.Tpo" "$(DEPDIR)/testsuite-UrlMappingTest.Po"; else rm -f "$(DEPDIR)/testsuite-UrlMappingTest.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='UrlMappingTest.cpp' object='testsuite-UrlMappingTest.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -c -o testsuite-UrlMappingTest.o `test -f 'UrlMappingTest.cpp' || echo '$(srcdir)/'`UrlMappingTest.cpp
testsuite-UrlMappingTest.obj: UrlMappingTest.cpp
@am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -MT testsuite-UrlMappingTest.obj -MD -MP -MF "$(DEPDIR)/testsuite-UrlMappingTest.Tpo" -c -o testsuite-UrlMappingTest.obj `if test -f 'UrlMappingTest.cpp'; then $(CYGPATH_W) 'UrlMappingTest.cpp'; else $(CYGPATH_W) '$(srcdir)/UrlMappingTest.cpp'; fi`; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/testsuite-UrlMappingTest.Tpo" "$(DEPDIR)/testsuite-UrlMappingTest.Po"; else rm -f "$(DEPDIR)/testsuite-UrlMappingTest.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='UrlMappingTest.cpp' object='testsuite-UrlMappingTest.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -c -o testsuite-UrlMappingTest.obj `if test -f 'UrlMappingTest.cpp'; then $(CYGPATH_W) 'UrlMappingTest.cpp'; else $(CYGPATH_W) '$(srcdir)/UrlMappingTest.cpp'; fi`
testsuite-OdbcWrapperTest.o: OdbcWrapperTest.cpp
@am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -MT testsuite-OdbcWrapperTest.o -MD -MP -MF "$(DEPDIR)/testsuite-OdbcWrapperTest.Tpo" -c -o testsuite-OdbcWrapperTest.o `test -f 'OdbcWrapperTest.cpp' || echo '$(srcdir)/'`OdbcWrapperTest.cpp; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/testsuite-OdbcWrapperTest.Tpo" "$(DEPDIR)/testsuite-OdbcWrapperTest.Po"; else rm -f "$(DEPDIR)/testsuite-OdbcWrapperTest.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='OdbcWrapperTest.cpp' object='testsuite-OdbcWrapperTest.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -c -o testsuite-OdbcWrapperTest.o `test -f 'OdbcWrapperTest.cpp' || echo '$(srcdir)/'`OdbcWrapperTest.cpp
testsuite-OdbcWrapperTest.obj: OdbcWrapperTest.cpp
@am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -MT testsuite-OdbcWrapperTest.obj -MD -MP -MF "$(DEPDIR)/testsuite-OdbcWrapperTest.Tpo" -c -o testsuite-OdbcWrapperTest.obj `if test -f 'OdbcWrapperTest.cpp'; then $(CYGPATH_W) 'OdbcWrapperTest.cpp'; else $(CYGPATH_W) '$(srcdir)/OdbcWrapperTest.cpp'; fi`; \
@am__fastdepCXX_TRUE@ then mv -f "$(DEPDIR)/testsuite-OdbcWrapperTest.Tpo" "$(DEPDIR)/testsuite-OdbcWrapperTest.Po"; else rm -f "$(DEPDIR)/testsuite-OdbcWrapperTest.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='OdbcWrapperTest.cpp' object='testsuite-OdbcWrapperTest.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testsuite_CXXFLAGS) $(CXXFLAGS) -c -o testsuite-OdbcWrapperTest.obj `if test -f 'OdbcWrapperTest.cpp'; then $(CYGPATH_W) 'OdbcWrapperTest.cpp'; else $(CYGPATH_W) '$(srcdir)/OdbcWrapperTest.cpp'; fi`
mostlyclean-libtool:
-rm -f *.lo
clean-libtool:
-rm -rf .libs _libs
distclean-libtool:
-rm -f libtool
uninstall-info-am:
# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
# (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
@failcom='exit 1'; \
for f in x $$MAKEFLAGS; do \
case $$f in \
*=* | --[!k]*);; \
*k*) failcom='fail=yes';; \
esac; \
done; \
dot_seen=no; \
target=`echo $@ | sed s/-recursive//`; \
list='$(SUBDIRS)'; for subdir in $$list; do \
echo "Making $$target in $$subdir"; \
if test "$$subdir" = "."; then \
dot_seen=yes; \
local_target="$$target-am"; \
else \
local_target="$$target"; \
fi; \
(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
|| eval $$failcom; \
done; \
if test "$$dot_seen" = "no"; then \
$(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
fi; test -z "$$fail"
mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
@failcom='exit 1'; \
for f in x $$MAKEFLAGS; do \
case $$f in \
*=* | --[!k]*);; \
*k*) failcom='fail=yes';; \
esac; \
done; \
dot_seen=no; \
case "$@" in \
distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
*) list='$(SUBDIRS)' ;; \
esac; \
rev=''; for subdir in $$list; do \
if test "$$subdir" = "."; then :; else \
rev="$$subdir $$rev"; \
fi; \
done; \
rev="$$rev ."; \
target=`echo $@ | sed s/-recursive//`; \
for subdir in $$rev; do \
echo "Making $$target in $$subdir"; \
if test "$$subdir" = "."; then \
local_target="$$target-am"; \
else \
local_target="$$target"; \
fi; \
(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
|| eval $$failcom; \
done && test -z "$$fail"
tags-recursive:
list='$(SUBDIRS)'; for subdir in $$list; do \
test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
done
ctags-recursive:
list='$(SUBDIRS)'; for subdir in $$list; do \
test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
done
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
mkid -fID $$unique
tags: TAGS
TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
include_option=--etags-include; \
empty_fix=.; \
else \
include_option=--include; \
empty_fix=; \
fi; \
list='$(SUBDIRS)'; for subdir in $$list; do \
if test "$$subdir" = .; then :; else \
test ! -f $$subdir/TAGS || \
tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
fi; \
done; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
$$tags $$unique; \
fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
test -z "$(CTAGS_ARGS)$$tags$$unique" \
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
$$tags $$unique
GTAGS:
here=`$(am__cd) $(top_builddir) && pwd` \
&& cd $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) $$here
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
check-TESTS: $(TESTS)
@failed=0; all=0; xfail=0; xpass=0; skip=0; \
srcdir=$(srcdir); export srcdir; \
list='$(TESTS)'; \
if test -n "$$list"; then \
for tst in $$list; do \
if test -f ./$$tst; then dir=./; \
elif test -f $$tst; then dir=; \
else dir="$(srcdir)/"; fi; \
if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*" $$tst "*) \
xpass=`expr $$xpass + 1`; \
failed=`expr $$failed + 1`; \
echo "XPASS: $$tst"; \
;; \
*) \
echo "PASS: $$tst"; \
;; \
esac; \
elif test $$? -ne 77; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*" $$tst "*) \
xfail=`expr $$xfail + 1`; \
echo "XFAIL: $$tst"; \
;; \
*) \
failed=`expr $$failed + 1`; \
echo "FAIL: $$tst"; \
;; \
esac; \
else \
skip=`expr $$skip + 1`; \
echo "SKIP: $$tst"; \
fi; \
done; \
if test "$$failed" -eq 0; then \
if test "$$xfail" -eq 0; then \
banner="All $$all tests passed"; \
else \
banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
fi; \
else \
if test "$$xpass" -eq 0; then \
banner="$$failed of $$all tests failed"; \
else \
banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
fi; \
fi; \
dashes="$$banner"; \
skipped=""; \
if test "$$skip" -ne 0; then \
skipped="($$skip tests were not run)"; \
test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$skipped"; \
fi; \
report=""; \
if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
report="Please report to $(PACKAGE_BUGREPORT)"; \
test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$report"; \
fi; \
dashes=`echo "$$dashes" | sed s/./=/g`; \
echo "$$dashes"; \
echo "$$banner"; \
test -z "$$skipped" || echo "$$skipped"; \
test -z "$$report" || echo "$$report"; \
echo "$$dashes"; \
test "$$failed" -eq 0; \
else :; fi
distdir: $(DISTFILES)
$(mkdir_p) $(distdir)/mapdata $(distdir)/regdbdata $(distdir)/sipx_config_value
@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
list='$(DISTFILES)'; for file in $$list; do \
case $$file in \
$(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
$(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
esac; \
if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
if test "$$dir" != "$$file" && test "$$dir" != "."; then \
dir="/$$dir"; \
$(mkdir_p) "$(distdir)$$dir"; \
else \
dir=''; \
fi; \
if test -d $$d/$$file; then \
if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
fi; \
cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
else \
test -f $(distdir)/$$file \
|| cp -p $$d/$$file $(distdir)/$$file \
|| exit 1; \
fi; \
done
list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
if test "$$subdir" = .; then :; else \
test -d "$(distdir)/$$subdir" \
|| $(mkdir_p) "$(distdir)/$$subdir" \
|| exit 1; \
distdir=`$(am__cd) $(distdir) && pwd`; \
top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
(cd $$subdir && \
$(MAKE) $(AM_MAKEFLAGS) \
top_distdir="$$top_distdir" \
distdir="$$distdir/$$subdir" \
distdir) \
|| exit 1; \
fi; \
done
check-am: all-am
$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-recursive
all-am: Makefile all-local
installdirs: installdirs-recursive
installdirs-am:
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
installcheck: installcheck-recursive
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
clean-generic:
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive
clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
mostlyclean-am
distclean: distclean-recursive
-rm -rf ./$(DEPDIR)
-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
distclean-libtool distclean-tags
dvi: dvi-recursive
dvi-am:
html: html-recursive
info: info-recursive
info-am:
install-data-am:
install-exec-am:
install-info: install-info-recursive
install-man:
installcheck-am:
maintainer-clean: maintainer-clean-recursive
-rm -rf ./$(DEPDIR)
-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic
mostlyclean: mostlyclean-recursive
mostlyclean-am: mostlyclean-compile mostlyclean-generic \
mostlyclean-libtool
pdf: pdf-recursive
pdf-am:
ps: ps-recursive
ps-am:
uninstall-am: uninstall-info-am
uninstall-info: uninstall-info-recursive
.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am all-local check \
check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
clean-libtool clean-recursive ctags ctags-recursive distclean \
distclean-compile distclean-generic distclean-libtool \
distclean-recursive distclean-tags distdir dvi dvi-am html \
html-am info info-am install install-am install-data \
install-data-am install-exec install-exec-am install-info \
install-info-am install-man install-strip installcheck \
installcheck-am installdirs installdirs-am maintainer-clean \
maintainer-clean-generic maintainer-clean-recursive \
mostlyclean mostlyclean-compile mostlyclean-generic \
mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
tags tags-recursive uninstall uninstall-am uninstall-info-am
# Make sure database is set up if --enable-dbtests was specified
all-local: $(db_deps)
# Set up PostgreSQL database for local unit test
.PHONY: db_setup
db_setup:
@echo "Setting up database"
-dropdb -U $(PG_USER) $(SIPXTEST_DATABASE) &>/dev/null
createdb -U $(PG_USER) $(SIPXTEST_DATABASE) &>/dev/null
@if [ -f $(SCHEMA_FILE) ]; then \
psql -U $(PG_USER) -d $(SIPXTEST_DATABASE) \
-f $(SCHEMA_FILE) &>/dev/null; \
else \
echo "Schema file $(SCHEMA_FILE) not found"; \
fi
@echo "Done."
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
syntax highlighted by Code2HTML, v. 0.9.1